Searches for progress notes with pagination support.

Sample request:

POST /commands/v4/progressnotes/search
{
    "pageNumber": 0,
    "pageSize": 25,
    "mrn": "MRN001",
    "enteredFrom": "2023-01-01",
    "enteredTo": "2023-12-31"
}
        

HCSI-5244: Add pagination to progress notes search.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

The requested API version

Body Params

Search criteria including filters, pagination, and sorting options.

Request model for searching progress notes with pagination.

string | null

Medical record number of the patient.

boolean | null

Flag to include follow up complete.

enteredBy
array of int64s | null

Collection of unique identifier of the entered by employee of the progress note.

enteredBy
date-time | null

Filter to be used to show progress note entered from date.
If time is included, it will be ignored — the results will be based only on the date.

date-time | null

Filter to be used to show progress note entered to date.
If time is included, it will be ignored — the results will be based only on the date.

subjects
array of strings | null

Subject of the progress note.

subjects
date-time | null

Filter to be used to show progress note follow up from date.

date-time | null

Filter to be used to show progress note follow up to date.

string | null

Note text of the progress note.

teams
array of strings | null

Collection of teams of the progress note patient.

teams
followUpAssignedTo
array of int64s | null

Collection of unique identifier of the follow up assigned employee of the progress note.

followUpAssignedTo
companyIds
array of int64s | null

Collection of unique identifier of the company of the progress note patient.

companyIds
boolean | null

Flag to include system generated progress notes.

boolean | null

Flag to include voided progress notes.

sort
array of objects | null
sort
int32
int32
Headers
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json